/* f5.c
 * Hasznlja fel a TIMER0 ltal okozott megszaktst a LED villogtatshoz! 
 * Vltoztassa az elosztt s figyelje meg mi trtnik!
 */

#include <avr/io.h>
#include <avr/interrupt.h>

volatile int led; // volatile-knt kell definilni, klnben a fordt kioptimalizlja*

// megszakts kezel fggvny a TIMER0 tlcsordulshoz
ISR(TIMER0_OVF_vect){
	if(led){
		PORTB |= 0x02;
		led=0;
	}
	else{
		PORTB &= 0x00;
		led=1;
	}	
}


int main(void)
{
	// TIMER0
	TIMSK0 |= 0x01;
	TCCR0B |= 0x03; // /64 eloszt
	
	// Port B 1. lbn a led
	DDRB = 0x02;

	sei(); // interruptok bekapcsolsa	
	led = 1;
	
	while(1)
	{
		//a "fprogramban" gyakorlatilag nem csinlunk semmit
	}
}